
/* region 首屏和二屏统一样式 */
#common .first-screen,
#common .two-screen {
    width: 100vw;
    height: 100vh;
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover; /* 统一使用cover，适应所有屏幕 */
    position: relative;
    display: flex;
    align-items: end;
    justify-content: center;
    overflow: hidden;
}

/* 首屏背景 */
#common .first-screen {
    min-height: 9.8rem;
    /*background-image: url("./images/main-bg-pc.png");*/
}

#common .first-screen-content {
    width: 80%;
    height: 100%;
    margin: 0  auto;
    display: flex;
    align-items: center;
    flex-direction: row-reverse;
}

#common .first-screen-email-login {
    height: 6.43rem;
    aspect-ratio: 643 / 605;
    width: auto;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    background-image: url("../../images/email-login-bg.png");
    margin-right: 19%;
    display: flex;
    flex-direction: column;
    justify-content: center;
}
#common .first-screen-email-login .first-screen-form {
    width: 66%;
    height: 80%;
    margin: 0 auto;
    display: flex;
    flex-wrap: wrap;
    /*flex-direction: column;*/
    gap: 5%;
    user-select: none; /* 禁止选择文字 */
    -webkit-user-select: none; /* Safari */
    -moz-user-select: none; /* Firefox */
    -ms-user-select: none; /* Internet Explorer/Edge */
}
#common .first-screen-email-login .first-screen-form .email {
    height: 0.6rem;
    aspect-ratio: 450 / 60;
    width: 100%;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    background-image: url("../../images/login-email.png");
    display: flex;
    flex-direction: row-reverse;
    width: 100%;
    flex: 0 0 100%;
}
#common .first-screen-email-login .first-screen-form input {
    width: 80%;
    z-index: 2;
    border: unset;
    background-color: transparent !important;
    margin: 0.02rem;
    font-size: 0.21rem;
}

#common .first-screen-email-login .first-screen-form .password {
    height: 0.6rem;
    aspect-ratio: 450 / 60;
    width: 100%;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    background-image: url("../../images/login-password.png");
    display: flex;
    flex-direction: row-reverse;
    width: 100%;
    flex: 0 0 100%;
}
#common .first-screen-email-login .first-screen-form .verify {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    flex: 0 0 100%;
    height: 0.6rem;
}

#common .first-screen-email-login .first-screen-form .code {
    aspect-ratio: 300 / 60;
    width: 40%;
    background-size: 100% 100%;
    background-repeat: no-repeat;
    background-position: center;
    background-image: url("../../images/login-code.png");
    display: flex;
    flex-direction: row-reverse;
    height: 0.6rem;
}
#common .first-screen-email-login .first-screen-form .code input {
    width: 100%;
}
#common .first-screen-email-login .first-screen-form .verify .image {
    height: 100%;
    cursor: pointer;
    display: flex;
}
#common .first-screen-email-login .first-screen-form .verify .image img {
    width: 100%;
}

#common .first-screen-email-login .first-screen-form .login-btu {
    height: 0.6rem;
    aspect-ratio: 450 / 62;
    cursor: pointer;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    background-image: url("../../images/email-login-btu.png");
    display: flex;
    flex-direction: row-reverse;
    flex: 0 0 100%;
    width: 100%;
}


#common .first-screen-email-login .first-screen-form .line {
    height: 0.14rem;
    aspect-ratio: 437 / 14;
    cursor: pointer;
    width: auto;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    background-image: url("../../images/email-login-line2.png");
    display: flex;
    flex-direction: row-reverse;
    margin-top: 8%;
    margin-bottom: 2%;
    flex: 0 0 100%;
    width: 100%;
}

#common .first-screen-email-login .first-screen-form .fb-login,
#common .first-screen-email-login .first-screen-form .google-login,
#common .first-screen-email-login .first-screen-form .apple-login {
    height: 0.60rem;
    aspect-ratio: 60 / 60;
    cursor: pointer;
    width: auto;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    /*background-image: url("../../images/email-login-fb.png");*/
    display: flex;
    flex-direction: row-reverse;
    flex: 0 0 auto;
}
#common .first-screen-email-login .first-screen-form .fb-login {
    background-image: url("../../images/email-login-fb-new.png");
}
#common .first-screen-email-login .first-screen-form .google-login {
    background-image: url("../../images/email-login-google.png");
    margin: auto;
}
#common .first-screen-email-login .first-screen-form .apple-login {
    background-image: url("../../images/email-login-apple.png");
}

#common .first-screen-email-login .first-screen-form .option {
    display: flex;
    width: 60%;
    font-size: 0.24rem;
    cursor: pointer;
    color: #bbc5ca;
    margin: 0 auto;
    justify-content: space-between;
    flex: 0 0 60%;
}
#common .first-screen-email-login .first-screen-form .option div:hover,
#common .first-screen-email-login .first-screen-form .option div:focus {
    color: #589ead;
}
#common #resetPasswordModal .model-body {
    height: 100%;
}
#common #resetPasswordModal .reset-form {
    width: 90%;
    height: 100%;
    margin: 10% auto;
    gap: 5%;
    user-select: none; /* 禁止选择文字 */
    -webkit-user-select: none; /* Safari */
    -moz-user-select: none; /* Firefox */
    -ms-user-select: none; /* Internet Explorer/Edge */
}
#common #resetPasswordModal .reset-form .email,
#common #resetPasswordModal .reset-form .verify,
#common #resetPasswordModal .reset-form .reset-btu {
    width: 100%;
    height: 33.33%;
}
#common #resetPasswordModal .reset-form .email {
    aspect-ratio: 450 / 60;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    background-image: url("../../images/login-email.png");
    display: flex;
    flex-direction: row-reverse;
    width: 100%;
    flex: 0 0 100%;
}
#common #resetPasswordModal .reset-form input {
    width: 80%;
    z-index: 2;
    border: unset;
    background-color: transparent !important;
    margin: 0.02rem;
    font-size: 0.21rem;
    height: calc(100% - 0.04rem);
}
#common #resetPasswordModal .reset-form .verify {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    flex: 0 0 100%;
    margin-top: 10%;
    aspect-ratio: 450 / 60;
}

#common #resetPasswordModal .reset-form .code {
    aspect-ratio: 300 / 60;
    background-size: 100% 100%;
    background-repeat: no-repeat;
    background-position: center;
    background-image: url("../../images/login-code.png");
    display: flex;
    flex-direction: row-reverse;
    height: 100%;
}
#common #resetPasswordModal .reset-form .code input {
    width: 100%;
}
#common #resetPasswordModal .reset-form .verify .image {
    height: 100%;
    cursor: pointer;
    display: flex;
}
#common #resetPasswordModal .reset-form .reset-btu {
    margin-top: 10%;
    aspect-ratio: 450 / 62;
    cursor: pointer;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    background-image: url("../../images/email-reset-btu.png");
    display: flex;
    flex-direction: row-reverse;
    width: 100%;
    flex: 0 0 100%;
}

#common #userRegister {
    font-size: .25rem;
    padding: unset;
}
#common #userRegister .store-describe .card {
    border-radius: 10px;
}
#common #userRegister .modal-body .store-btn {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    cursor: pointer;
}
#common #userRegister .modal-body {
    font-size: .16rem;
}
#common #userRegister .modal-body .store-describe {
    margin: 0.1rem auto;
}
#common #userRegister .modal-body .store-describe .card-body {
    padding: 0.1rem;
    border-radius:5px;
}
#common #userRegister .modal-body h5 {
    font-size: .25rem;
    margin: unset;
    margin-bottom: 0.3rem;
}
#common #userRegister .modal-body .row,
#common #userRegister .modal-body .row>* {
    margin: unset;
    padding: unset;
}
#common #userRegister .modal-body h6 {
    font-size: .2rem;
    margin: unset;
    margin-bottom: 0.3rem;
}
#common #userRegister .modal-body .list-group-item {
    padding: 0.1rem 0.05rem;
}
#common #userRegister .modal-body .col-md-6 {
    padding: 0.01rem;
}
#common #userRegister .modal-body .badge {
    padding: 0.05rem 0.1rem;
    border-radius: 5px;
    font-size: .16rem;
    margin-bottom: .1rem;
}
#common #userRegister .modal-body .store-btn img {
    height: 100px;
}
#common #userRegister .modal-body .fs-3 {
    font-size: 0.16rem;
}
#common #userRegister .modal-body .me-2 {
    padding: 0.05rem;
}

/* 移动端特殊处理（如果需要） */
@media (max-width: 768px) and (orientation: portrait) {
    #common #userRegister .modal-body .store-btn img {
        height: .43rem;
    }
    /* 移动端竖屏时的特殊处理 */
    #common .first-screen {
        min-height: 8rem;
        background-attachment: scroll; /* 移动端禁用固定背景 */
    }

    #common .first-screen-content {
        width: 90%;
    }

    #common .first-screen-email-login {
        margin-right: unset;
        width: 100%;
        background-size: 100% 100%;
        height: 70%;
    }
    #common .first-screen-email-login .first-screen-form {
        width: 90%;
    }

    #common .first-screen-email-login .first-screen-form .email,
    #common .first-screen-email-login .first-screen-form .password,
    #common .first-screen-email-login .first-screen-form .verify,
    #common .first-screen-email-login .first-screen-form .code,
    #common .first-screen-email-login .first-screen-form .login-btu,
    #common .first-screen-email-login .first-screen-form .fb-login,
    #common .first-screen-email-login .first-screen-form .google-login,
    #common .first-screen-email-login .first-screen-form .apple-login,
    #common #resetPasswordModal .reset-form .email,
    #common #resetPasswordModal .reset-form .verify,
    #common #resetPasswordModal .reset-form .code,
    #common #resetPasswordModal .reset-form .reset-btu {
        height: 0.4rem;
    }

    #common .first-screen-email-login .first-screen-form .option {
        width: 80%;
    }

    #common #resetPasswordModal .reset-form {
        width: 80%;
    }

    #common #resetPasswordModal .reset-form .code {
        width: 40%;
        background-size: 100% 100%;
    }
    #common #resetPasswordModal .reset-form .option {
        width: 80%;
    }
    #common #resetPasswordModal .reset-form .verify {
    }
    #common .first-screen-email-login .first-screen-form .option {
        font-size: .16rem;
    }
    #common .first-screen-email-login .first-screen-form .line {
        margin-top: 2%;
    }
}

#common footer {
    flex-wrap: wrap;
    margin-bottom: 0 !important;
}

@media (max-width: 1024px) and (orientation: landscape) {
    #common #userRegister .modal-body .store-btn img {
        height: .3rem;
    }
    /* 移动端竖屏时的特殊处理 */
    #common .first-screen {
        min-height: unset;
        background-attachment: scroll; /* 移动端禁用固定背景 */
    }

    #common .first-screen-content {
        width: 30%;
        margin-left: auto;
        margin-right: 10%;
    }

    #common .first-screen-email-login {
        margin-right: unset;
        width: 100%;
        background-size: 100% 100%;
        height: 80%;
    }
    #common .first-screen-email-login .first-screen-form {
        width: 90%;
        height: 90%;
    }

    #common #resetPasswordModal .reset-form {
        width: 90%;
        margin: 5% auto;
    }

    #common #resetPasswordModal .reset-form .code {
        width: 40%;
        background-size: 100% 100%;
    }
    #common #resetPasswordModal .reset-form .option {
        width: 80%;
    }
    #common .first-screen-email-login .first-screen-form .option {
        font-size: .16rem;
    }
    #common .first-screen-email-login .first-screen-form .line {
        margin: unset;
    }

    #common .first-screen-email-login .first-screen-form .email,
    #common .first-screen-email-login .first-screen-form .password,
    #common .first-screen-email-login .first-screen-form .verify,
    #common .first-screen-email-login .first-screen-form .code,
    #common .first-screen-email-login .first-screen-form .login-btu,
    #common .first-screen-email-login .first-screen-form .fb-login,
    #common .first-screen-email-login .first-screen-form .google-login,
    #common .first-screen-email-login .first-screen-form .apple-login,
    #common #resetPasswordModal .reset-form .email,
    #common #resetPasswordModal .reset-form .verify,
    #common #resetPasswordModal .reset-form .reset-btu,
    #common #resetPasswordModal .reset-form .code,
    #common .first-screen-email-login .first-screen-form input,
    #common #resetPasswordModal .reset-form input {
        height: 0.15rem;
    }
    #common .first-screen-email-login .first-screen-form input,
    #common #resetPasswordModal .reset-form input {
        font-size: 0.08rem;
        margin: 1px;
    }
    #common .first-screen-email-login .first-screen-form .code {
        height: 100%;
    }
    #common .first-screen-email-login .first-screen-form .verify {
        height: 0.15rem;
    }
    #common .first-screen-email-login .first-screen-form .email,
    #common .first-screen-email-login .first-screen-form .password,
    #common .first-screen-email-login .first-screen-form .login-btu,
    #common #resetPasswordModal .reset-form .email,
    #common #resetPasswordModal .reset-form .reset-btu,
    #common .first-screen-email-login .first-screen-form .fb-login {
        background-size: 100% 100%;
    }
    #common .first-screen-email-login .first-screen-form .option {
        font-size: 0.05rem;
    }
    #common #resetPasswordModal .reset-form .verify,
    #common #resetPasswordModal .reset-form .reset-btu {
        margin-top: 5%;
    }
    .modal.show .modal-dialog {
        width: 30%;
        max-width: 30%;
        margin: 0 auto;
    }
    #userRegister .modal-dialog {
        min-width: 80%;
    }
    #common #userRegister .modal-body h5 {
        font-size: 0.08rem;
        margin-bottom: 5%
    }
    #common #userRegister .modal-body .list-group-item,
    #common #userRegister .modal-body h6 {
        font-size: 0.08rem;
        padding: 0 0.05rem;
        margin-bottom: unset;
    }
    #common #userRegister .modal-body .badge {
        padding: 0.01rem;
        font-size: 0.06rem;
        margin-bottom: 0.01rem;
    }
    #common #userRegister .modal-body .col-md-6 {
        font-size: 0.08rem;
    }
    #common #userRegister .modal-body .store-describe .card-body {
        padding: 0.05rem 0;
    }
}
